Debian Bug report logs - #713857
[PATCH] use dh-systemd for proper systemd-related maintscripts

version graph

Package: vsftpd; Maintainer for vsftpd is Daniel Baumann <mail@daniel-baumann.ch>; Source for vsftpd is src:vsftpd.

Reported by: Michael Stapelberg <stapelberg@debian.org>

Date: Sun, 23 Jun 2013 10:18:01 UTC

Severity: wishlist

Tags: moreinfo, patch

Found in versions vsftpd/3.0.2-9, vsftpd/3.0.2-8

Fixed in versions 3.0.2-10, 3.0.2-9

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-systemd-maintainers@lists.alioth.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#713857; Package vsftpd. (Sun, 23 Jun 2013 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-systemd-maintainers@lists.alioth.debian.org, Daniel Baumann <mail@daniel-baumann.ch>. (Sun, 23 Jun 2013 10:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PATCH] use dh-systemd for proper systemd-related maintscripts
Date: Sun, 23 Jun 2013 12:14:55 +0200
[Message part 1 (text/plain, inline)]
Package: vsftpd
Version: 3.0.2-8
Severity: normal
Tags: patch

Thanks for shipping a systemd service file with vsftpd.

By applying the attached patch, systemd users will enjoy a fully working
vsftpd on their machines: it will get enabled and started properly (even
if installed on sysvinit and later switching to systemd).

Therefore, please apply the patch for your next upload. Thanks!
[0001-use-dh-systemd-for-proper-systemd-related-maintscrip.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#713857; Package vsftpd. (Sun, 23 Jun 2013 19:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Sun, 23 Jun 2013 19:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 713857@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: 713857@bugs.debian.org
Subject: Re: Bug#713857: [PATCH] use dh-systemd for proper systemd-related maintscripts
Date: Sun, 23 Jun 2013 21:35:47 +0200
severity 713857 wishlist
tag 713857 moreinfo
thanks

On 06/23/2013 12:14 PM, Michael Stapelberg wrote:
> By applying the attached patch, systemd users will enjoy a fully working
> vsftpd on their machines: it will get enabled and started properly (even
> if installed on sysvinit and later switching to systemd).

can you explain what's not working with the current package and what
dh-systemd would 'fix'? requesting a change without explaining why
doesn't make sense.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Jun 2013 19:39:17 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Jun 2013 19:39:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#713857; Package vsftpd. (Sun, 23 Jun 2013 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Sun, 23 Jun 2013 20:27:06 GMT) Full text and rfc822 format available.

Message #19 received at 713857@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 713857@bugs.debian.org, "Debian systemd Maintainers" <pkg-systemd-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#713857: [PATCH] use dh-systemd for proper systemd-related maintscripts
Date: Sun, 23 Jun 2013 22:25:35 +0200
Hi daniel,

Daniel Baumann <daniel.baumann@progress-technologies.net> writes:
>> By applying the attached patch, systemd users will enjoy a fully working
>> vsftpd on their machines: it will get enabled and started properly (even
>> if installed on sysvinit and later switching to systemd).
>
> can you explain what's not working with the current package and what
> dh-systemd would 'fix'? requesting a change without explaining why
> doesn't make sense.
Sure, sorry for not being more clear about it:

Currently, when installing vsftpd, the unit file vsftpd.service does not
get enabled within the vsftpd package. We (as in the systemd
maintainers) realized that before the wheezy release and added an ugly
kludge which would just enable any unit (with a hardcoded blacklist)
unconditionally.

We now must get rid of this kludge, or our users cannot disable services
(using “systemctl disable”). Applying the patch I sent will add the
appropriate code to enable your service file.

I hope that makes it clearer. Let me know if you have any further
questions.

-- 
Best regards,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#713857; Package vsftpd. (Mon, 24 Jun 2013 10:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Mon, 24 Jun 2013 10:30:04 GMT) Full text and rfc822 format available.

Message #24 received at 713857@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: 713857@bugs.debian.org, Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#713857: [PATCH] use dh-systemd for proper systemd-related maintscripts
Date: Mon, 24 Jun 2013 12:28:27 +0200
On 06/23/2013 10:25 PM, Michael Stapelberg wrote:
> I hope that makes it clearer.

absolutely, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Marked as fixed in versions 3.0.2-9. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 24 Jun 2013 10:36:07 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 24 Jun 2013 10:36:08 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <stapelberg@debian.org>:
Bug acknowledged by developer. (Mon, 24 Jun 2013 10:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#713857; Package vsftpd. (Tue, 25 Jun 2013 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 25 Jun 2013 00:03:04 GMT) Full text and rfc822 format available.

Message #35 received at 713857@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 713857@bugs.debian.org, Michael Stapelberg <stapelberg@debian.org>
Cc: control@bugs.debian.org
Subject: [PATCH] use dh-systemd for proper systemd-related maintscripts
Date: Tue, 25 Jun 2013 01:59:35 +0200
[Message part 1 (text/plain, inline)]
found 713857 3.0.2-9
thanks

Hi Daniel,

looks like the patch was not applied fully.
One important bit missing, is the renaming of debian/vsftpd.systemd to
debian/vsftpd.service. If the file is named this way, it will
automatically be installed into the correct location.

Michael's patch did contain that change, but somehow this got lost.

Thus re-opening the bug report.

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Marked as found in versions vsftpd/3.0.2-9 and reopened. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 25 Jun 2013 00:03:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.0.2-10. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 25 Jun 2013 04:57:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 25 Jun 2013 04:57:04 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <stapelberg@debian.org>:
Bug acknowledged by developer. (Tue, 25 Jun 2013 04:57:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Jul 2013 07:33:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:13:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.